> For the complete documentation index, see [llms.txt](https://docs.0xpass.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0xpass.io/programmability/lambda-functions/execute-lambda/execute-lambda-sdk.md).

# Execute Lambda SDK

To execute a lambda, as of now, user need not authenticate. It can directly call for lambda execution provided it has the unique UUID.

```javascript
import { Passport } from "@0xpass/passport";
import { WebauthnSigner } from "@0xpass/webauthn-signer";

const signer = new WebauthnSigner({
      rpId: window.location.hostname,
      rpName: "rpName",
});

const passport = new Passport({
    scopeId: "insert_your_scope_id",
    signer: signer
});

const request_body = {
    data: {
        "id": "15363182-f572-40ee-ba2a-efee4c8a3691",
        "params": []
    }
};

// Generate a threshold signature
const response = await passport.executeLambda(config);
console.log(response.result);
```

### executeLambda Parameters

<table><thead><tr><th>Parameter</th><th>Description</th><th>Example Values</th></tr></thead><tbody><tr><td><code>data</code></td><td>id = lambda_uuid obtained during creation,<br>params = list of any arbritrary inputs you want to pass during function execution. It can anything, a list of string, numbers, json objects or even mixed array.</td><td><pre class="language-json"><code class="lang-json">{
        "id": "15363182-f572-40ee-ba2a-efee4c8a3691",
        "params": []
}
</code></pre></td></tr><tr><td></td><td></td><td></td></tr></tbody></table>

#### executeLambda Response

A successful response will return a signature or Condition not met.

```json
{
    "jsonrpc": "2.0",
    "result": "0x9d73f5605320e17ab1eaa0e7d1c82df288fddbef1085bbc4d30707128b8dac135ef3207c349c522f407cc6e72740e2ee503c4086ce8d0096f665180e9d8f71ab1b",
    "id": 3
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0xpass.io/programmability/lambda-functions/execute-lambda/execute-lambda-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
